ALAS-2013-260


Amazon Linux AMI Security Advisory: ALAS-2013-260
Advisory Release Date: 2014-09-16 22:09 Pacific
Severity: Low

Issue Overview:

A flaw was found in the way the X.org X11 server registered new hot plugged devices. If a local user switched to a different session and plugged in a new device, input from that device could become available in the previous session, possibly leading to information disclosure. (CVE-2013-1940 )


Affected Packages:

xorg-x11-server


Issue Correction:
Run yum update xorg-x11-server to update your system.

New Packages:
i686:
    xorg-x11-server-common-1.13.0-23.0.23.amzn1.i686
    xorg-x11-server-Xephyr-1.13.0-23.0.23.amzn1.i686
    xorg-x11-server-Xnest-1.13.0-23.0.23.amzn1.i686
    xorg-x11-server-Xvfb-1.13.0-23.0.23.amzn1.i686
    xorg-x11-server-debuginfo-1.13.0-23.0.23.amzn1.i686

noarch:
    xorg-x11-server-source-1.13.0-23.0.23.amzn1.noarch

src:
    xorg-x11-server-1.13.0-23.0.23.amzn1.src

x86_64:
    xorg-x11-server-common-1.13.0-23.0.23.amzn1.x86_64
    xorg-x11-server-Xnest-1.13.0-23.0.23.amzn1.x86_64
    xorg-x11-server-Xvfb-1.13.0-23.0.23.amzn1.x86_64
    xorg-x11-server-Xephyr-1.13.0-23.0.23.amzn1.x86_64
    xorg-x11-server-debuginfo-1.13.0-23.0.23.amzn1.x86_64